Bug 59983 - Update node list cache count on the containing TreeScope rather than the Document
Summary: Update node list cache count on the containing TreeScope rather than the Docu...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: HTML DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Roland Steiner
URL:
Keywords:
Depends on:
Blocks: 59832
  Show dependency treegraph
 
Reported: 2011-05-02 17:03 PDT by Roland Steiner
Modified: 2011-05-23 10:48 PDT (History)
4 users (show)

See Also:


Attachments
Patch (9.12 KB, patch)
2011-05-03 13:01 PDT, Roland Steiner
no flags Details | Formatted Diff | Diff
corrected patch (9.15 KB, patch)
2011-05-23 00:52 PDT, Roland Steiner
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Roland Steiner 2011-05-02 17:03:26 PDT
Node list cache count part of bug 59832.
Comment 1 Roland Steiner 2011-05-03 13:01:08 PDT
Created attachment 92109 [details]
Patch
Comment 2 Roland Steiner 2011-05-03 13:35:46 PDT
Committed r85650: <http://trac.webkit.org/changeset/85650>
Comment 3 Dimitri Glazkov (Google) 2011-05-11 11:35:23 PDT
Reverted r85650 for reason:

Triggers m_numNodeListCaches > 0 assert in gc-heavy sites.

Committed r86248: <http://trac.webkit.org/changeset/86248>
Comment 4 Dimitri Glazkov (Google) 2011-05-11 11:36:27 PDT
See bug 60419 for details.
Comment 5 Roland Steiner 2011-05-23 00:52:43 PDT
Created attachment 94378 [details]
corrected patch
Comment 6 WebKit Commit Bot 2011-05-23 10:47:57 PDT
Comment on attachment 94378 [details]
corrected patch

Clearing flags on attachment: 94378

Committed r87079: <http://trac.webkit.org/changeset/87079>
Comment 7 WebKit Commit Bot 2011-05-23 10:48:02 PDT
All reviewed patches have been landed.  Closing bug.